charset.c File Reference

## Macros

#define | MCHAR_INVALID_CODE
| Invalid code-point. More...

## Functions

MSymbol | mchar_define_charset (const char *name, MPlist *plist)
MSymbol | mchar_resolve_charset (MSymbol symbol)
| Resolve charset name. More...
int | mchar_list_charset (MSymbol **symbols)
| List symbols representing charsets. More...
int | mchar_decode (MSymbol charset_name, unsigned code)
| Decode a code-point. More...
unsigned | mchar_encode (MSymbol charset_name, int c)
| Encode a character code. More...
int | mchar_map_charset (MSymbol charset_name, void(*func)(int from, int to, void *arg), void *func_arg)
| Call a function for all the characters in a specified charset. More...

## Variables

Variables: Symbols representing a charset.
Each of the following symbols represents a predefined charset.
MSymbol | Mcharset_ascii
| Symbol representing the charset ASCII. More...
MSymbol | Mcharset_iso_8859_1
| Symbol representing the charset ISO/IEC 8859/1. More...
MSymbol | Mcharset_unicode
| Symbol representing the charset Unicode. More...
MSymbol | Mcharset_m17n
| Symbol representing the largest charset. More...
MSymbol | Mcharset_binary
| Symbol representing the charset for ill-decoded characters. More...
Variables: Parameter keys for mchar_define_charset().
These are the predefined symbols to use as parameter keys for the function mchar_define_charset() (which see).
MSymbol | Mmethod
MSymbol | Mdimension
MSymbol | Mmin_range
MSymbol | Mmax_range
MSymbol | Mmin_code
MSymbol | Mmax_code
MSymbol | Mascii_compatible
MSymbol | Mfinal_byte
MSymbol | Mrevision
MSymbol | Mmin_char
MSymbol | Mmapfile
MSymbol | Mparents
MSymbol | Msubset_offset
MSymbol | Mdefine_coding
MSymbol | Maliases
Variables: Symbols representing charset methods.
These are the predefined symbols that can be a value of the Mmethod parameter of a charset used in an argument to the mchar_define_charset() function. A method specifies how code-points and character codes are converted. See the documentation of the mchar_define_charset() function for the details.
MSymbol | Moffset
MSymbol | Mmap
| Symbol for the map type method of charset. More...
MSymbol | Munify
| Symbol for the unify type method of charset. More...
MSymbol | Msubset
MSymbol | Msuperset
| Symbol for the superset type method of charset. More...